Show / Hide Table of Contents

# Struct ImPlotInputMap

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImPlotNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImPlotInputMap

### Fields

| Improve this Doc View Source

#### Fit

##### Declaration

    public ImGuiMouseButton Fit

##### Field Value

Type | Description
--- | ---
ImGuiMouseButton |

| Improve this Doc View Source

#### Menu

##### Declaration

    public ImGuiMouseButton Menu

##### Field Value

Type | Description
--- | ---
ImGuiMouseButton |

| Improve this Doc View Source

#### OverrideMod

##### Declaration

    public ImGuiModFlags OverrideMod

##### Field Value

Type | Description
--- | ---
ImGuiModFlags |

| Improve this Doc View Source

#### Pan

##### Declaration

    public ImGuiMouseButton Pan

##### Field Value

Type | Description
--- | ---
ImGuiMouseButton |

| Improve this Doc View Source

#### PanMod

##### Declaration

    public ImGuiModFlags PanMod

##### Field Value

Type | Description
--- | ---
ImGuiModFlags |

| Improve this Doc View Source

#### Select

##### Declaration

    public ImGuiMouseButton Select

##### Field Value

Type | Description
--- | ---
ImGuiMouseButton |

| Improve this Doc View Source

#### SelectCancel

##### Declaration

    public ImGuiMouseButton SelectCancel

##### Field Value

Type | Description
--- | ---
ImGuiMouseButton |

| Improve this Doc View Source

#### SelectHorzMod

##### Declaration

    public ImGuiModFlags SelectHorzMod

##### Field Value

Type | Description
--- | ---
ImGuiModFlags |

| Improve this Doc View Source

#### SelectMod

##### Declaration

    public ImGuiModFlags SelectMod

##### Field Value

Type | Description
--- | ---
ImGuiModFlags |

| Improve this Doc View Source

#### SelectVertMod

##### Declaration

    public ImGuiModFlags SelectVertMod

##### Field Value

Type | Description
--- | ---
ImGuiModFlags |

| Improve this Doc View Source

#### ZoomMod

##### Declaration

    public ImGuiModFlags ZoomMod

##### Field Value

Type | Description
--- | ---
ImGuiModFlags |

| Improve this Doc View Source

#### ZoomRate

##### Declaration

    public float ZoomRate

##### Field Value

Type | Description
--- | ---
System.Single |